Name:              meanwhile
Version:           1.1.1
Release:           1
Summary:           A library for connecting to an IBM Sametime community
License:           LGPLv2+
URL:               http://%{name}.sourceforge.net
Source0:           https://github.com/obriencj/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:     glib2-devel autoconf automake doxygen libtool

%description
Meanwhile is a library for connecting to an IBM Sametime (briefly Lotus Instant
Messaging, originally VPBuddy) community. It uses a protocol based in part off
of the IMPP draft, and in part off of traces of TCP sessions from existing clients.

%package devel
Summary:           Development files for opensm
Requires:          %{name}%{?_isa} = %{version}-%{release}
Requires:          glib2-devel

%description devel
This package contains libraries and headier files for developing applications
that use meanwhile.

%package           help
Summary:           Documents for %{name}
Buildarch:         noarch
Requires:	   man info
Provides:          meanwhile-doc
Obsoletes:         meanwhile-doc

%description help
Man pages and other related documents for %{name}. 

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="%{optflags} -fno-tree-vrp"
autoreconf -ivf
%configure --enable-doxygen

make %{?_smp_mflags}

%install
%make_install
%delete_la_and_a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE COPYING
%{_libdir}/libmeanwhile.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/meanwhile/*.h
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files help
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_datadir}/doc/meanwhile-doc-%{version}/{html,samples,latex}/*

%changelog
* Wed Nov 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.1-1
- Package init
